Subject: Re: bug#9328: 24.0.50; `browse-url-fireforx' creates 2 identical tabs

From: Lennart Borgman <[email-masked]>
Date: Sun, 21 Aug 2011 02:32:25 +0200

On Sat, Aug 20, 2011 at 22:13, Chong Yidong <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
>
>> Isn't this the same problem as described here?
>>
>>   https://lists.gnu.org/archive/html/emacs-devel/2008-01/msg00392.html
>>
>> AFAIR, that thread concluded that this is specific to the Windows
>> version of Firefox.
>
> After reading that thread, I still don't understand where the problem is
> coming from.
>
> Could you check if the firefox process returns a non-zero exit status on
> Window when you call it as (say) "firefox www.gnu.org"?  Because the
> second call in browse-url-firefox-sentinel should only be triggered if
> the exit status is non-zero.

There seems to be a problem with Firefox.

If firefox was already started before then the command exits status 1.

If firefox was not started before then the command does not exit until
firefox is closed. And the exit status is then 0.